webentwicklung-frage-antwort-db.com.de

Wie installiere ich php-xml unter Ubuntu 16.04?

Ich habe php7.0 auf Ubuntu 16.04 installiert und versuche, eine Forumsoftware in Apache2 zu installieren. Ich erhalte jedoch die folgende Fehlermeldung:

Um korrekt zu funktionieren, muss die XML/DOM-Erweiterung PHP verfügbar sein.

Ich habe versucht, es auszuführen

Sudo apt-get install php-xml
Sudo apt-get install php7.0-xml

aber diese geben mir den folgenden Fehler:

php-xml: Abhängig: php7.1-xml, aber es wird nicht installiert

Wenn ich versuche, php7.1 von einem PPA zu installieren, bekomme ich noch Probleme mit Abhängigkeiten von anderen PHP - Modulen. 

Irgendwelche Ideen, wie ich php-xml ohne Abhängigkeitsprobleme installieren kann?

4
galatia

Können Sie versuchen, die .deb-Dateien von hier aus manuell zu installieren https://launchpad.net/ubuntu/xenial/+package/php-xml

0
Percival Rapha